"""Example code illustrating how to parse NODC archive files.

Assumes subfolders for each major file type are in the data folder.
"""

import os

import nodcparse


if __name__ == '__main__':
    split_archive_into_files_for_each_record = True
    parse_archive_into_csv_files = True
    
    use_itis = False
    roots = ['F030 Broad', 'F124 Zooplankton', 'F132 Carey']
    codes = ['F030-A.COD', 'f124_code.txt', 'F132-A.COD']
    files = ['F030', 'TR0xxx_F124_combined.dat', 'F132']
    taxnum_file = os.path.join('data', 'TAXNUMv8.DAT')

    use_itis = True
    roots = ['F030 Broad']
    codes = ['F030-A.COD']
    files = ['F030']


    for index in range(len(roots)):
        data_file = os.path.join('data', roots[index], 'input', files[index])
        if split_archive_into_files_for_each_record:
            print('Splitting ' + files[index])
            out_folder = os.path.join('data', roots[index], 'split')
            nodcparse.split_file(data_file, 10, 1, out_folder)
            print('Finished splitting ' + files[index] + '\n')

        if parse_archive_into_csv_files:
            code_file = os.path.join('data', roots[index], 'input',
                                     codes[index])
            format_folder = os.path.join('data', roots[index], 'formats')
            out_folder = os.path.join('data', roots[index], 'output_csv')
            nodcparse.main(data_file, format_folder, code_file, taxnum_file,
                           out_folder, use_itis)
            print('Finished parsing ' + files[index] + '\n')
    print('done')
